Документ создан: 24.08.2010

Установка Lotus Notes 8.5/8.5.1 на Kubuntu 10.04 (lucid)

Это верно также для Ubuntu 10.10

С горем пополам поставив Lotus Notes 8.5/8.5.1 на Kubuntu 10.04 (lucid), получил нечто, похожее на это:

Всё снёс и полез в глубины интернета за поиском решения. И - о, чудо! - нашёл таки.

Проблема решается так:

  1. Качаем libgnome-desktop-2_2.22.1-0ubuntu6_i386.deb с любого зеркала
  2. И ставим его вручную:
    sudo dpkg -i /tmp/libgnome-desktop-2_2.22.1-0ubuntu6_i386.deb
  3. Доставляем следующие пакеты:
    sudo aptitude install libgnomeprintui2.2-0 ttf-xfree86-nonfree libgnomeprintui2.2-0 libgnomeprint2.2-0 \
    libgnomevfs2-0 libgnomeui-0 libxkbfile1 libstartup-notification0 libsepol1 libselinux1 libgsf-1-114 libgsf-1-dev \
    librsvg2-2 librsvg2-common libavahi-client3 libavahi-common3 libavahi-glib1 libbonoboui2-0 libcroco3 libdbus-1-3 \
    libdbus-glib-1-2  libgnome2-0 libgnomecanvas2-0 libgnome-keyring0 libgnome-menu2 libesd0 gtk2-engines-murrine \
    gtk2-engines libgnome-desktop-2-17
  4. Распаковываем дистрибутив (у меня так):
    tar -xf /tmp/IBM\ Lotus\ Notes\ Client\ 8.5.1\ for\ Linux\ \(Debian\ Install\)\ Russian\ \(CZBH3RU\).tar
  5. Ставим Lotus Notes:
    sudo ./notes.ru.sh

    либо

    sudo dpkg -i ibm-lotus-notes-8.5.1.i586.deb
    sudo dpkg -i ibm-lotus-notes-nl2-8.5.1.i586.deb
    sudo dpkg -i ibm-lotus-notes-core-ru-8.5.1.i586.deb
  6. Качаем следующие библиотеки:
    wget http://www.freetechie.com/upload/lotus_notes/libgdk-x11-2.0.so.0
    wget http://www.freetechie.com/upload/lotus_notes/libgdk_pixbuf-2.0.so.0
    wget http://www.freetechie.com/upload/lotus_notes/libgdk_pixbuf_xlib-2.0.so.0
    wget http://www.freetechie.com/upload/lotus_notes/libgtk-x11-2.0.so.0
  7. И копируем их в каталог установки Lotus Notes:
    sudo cp libg?k*so.0 /opt/ibm/lotus/notes/
  8. Запускаем и наслаждаемся.




P.S. Как это ни странно, но Lotus Notes 8.5.2 на Ubuntu 10.10 встал без проблем. Ошибок, замеченных в предыдущих версиях, пока не наблюдается.
19.03.2011


P.P.S. Xubuntu 11.04 (natty) и Lotus Notes 8.5.2 дружить не хотят. Используем решение, приведённое в этой статье.
05.08.2001


P.P.P.S. Смею предположить, что все дистрибутивы 11.04 (natty) и Lotus Notes 8.5.2 дружить не хотят. Используем решение, приведённое в этой статье. Можно исключить п.п.1 и 2.
14.09.2001

 
Recent changes RSS feed Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki Donate